Last modified: 2014-08-26 07:37:39 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 52719 - Requesting adding AdorshoLipi font for Bangla
Requesting adding AdorshoLipi font for Bangla
Status: ASSIGNED
Product: MediaWiki extensions
Classification: Unclassified
UniversalLanguageSelector (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Kartik Mistry
:
Depends on:
Blocks: 40760 53015
  Show dependency treegraph
 
Reported: 2013-08-11 05:12 UTC by Tanvir Rahman
Modified: 2014-08-26 07:37 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
screenshot of Adorsholipi font used with mediawiki (190.43 KB, image/png)
2013-10-14 11:22 UTC, Runa Bhattacharjee
Details
Using Siyam Rupali on Firefox (170.10 KB, image/png)
2013-10-15 07:33 UTC, Runa Bhattacharjee
Details
Using Adorsholipi on Chrome (112.77 KB, image/png)
2013-10-15 07:33 UTC, Runa Bhattacharjee
Details
Adorshilipi used on a long section of text on firefox (269.24 KB, image/png)
2013-11-11 11:15 UTC, Runa Bhattacharjee
Details
Adorshilipi used on a long section of text on chrome (298.63 KB, image/png)
2013-11-11 11:17 UTC, Runa Bhattacharjee
Details

Description Tanvir Rahman 2013-08-11 05:12:18 UTC
Please add the AdorshoLipi font from OmicronLab website. The link to download the font: http://www.omicronlab.com/download/fonts/AdorshoLipi_20-07-2007.ttf

I will get back to you with the licensing information soon.
Comment 1 Sam Reed (reedy) 2013-08-11 05:15:19 UTC
The website shows as being https://creativecommons.org/licenses/by-nc-sa/3.0/ so hopefully the fonts are too...
Comment 2 Nasir Khan Saikat 2013-08-11 17:05:18 UTC
Hi Reedy, 
You are right, the site contents are published under CC-BY-NC-SA license but all the fonts of that site are not developed by that site owners (or who are involved with it). It is a simple site where you will find some popular Bengali free fonts. 

The font 'AdorshoLipi' is published under the GPL 2.0 or higher license. I just checked the font info (open the font in fort viewer and click the Info button) and found the following license information. As licence supports this option you may add this in the ULS.

``
Designed by: Partha sarathi Pal <p.s.pal.2006@gmail.com> This font is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This font is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License (http://www.gnu.org/licenses/gpl.txt), in the COPYING file for more details. As a special exception, if you create a document which uses this font, and embed this font or unaltered portions of this font into the document, this font does not by itself cause the resulting document to be covered by the GNU General Public License. This exception does not however invalidate any other reasons why the document might be covered by the GNU General Public License. If you modify this font, you may extend this exception to your version of the font, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.
``

--nasir khan
Comment 3 Runa Bhattacharjee 2013-08-21 10:52:32 UTC
Thanks for checking up all the details. If you are inclined, you can also try to convert it to the appropriate formats for it to be easily added into Universal Language Selector. The documentation is here: https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector#Adding_fonts and has been updated recently. Thanks.
Comment 4 Runa Bhattacharjee 2013-10-07 04:56:01 UTC
The original author of the font Partha Sarathi Pal (not on bugzilla) has informed us of a newer version of the font file than the one hosted on omicronlab. This new version adds support Latin characters and numbers. It would better to include this newer version. Currently, we are trying to procure this newer version (either through an publicly available link or attached to this bug) as it is only available with the author.
Comment 5 Runa Bhattacharjee 2013-10-07 15:58:05 UTC
Repository: https://github.com/shabab/AdorshoLipi-font
Comment 6 Jayanta Nath 2013-10-08 07:23:29 UTC
Is it latest version,as you said earlier?(In reply to comment #5)
> Repository: https://github.com/shabab/AdorshoLipi-font
Comment 7 Runa Bhattacharjee 2013-10-08 13:44:45 UTC
Yes
Comment 8 Gerrit Notification Bot 2013-10-08 16:17:48 UTC
Change 88495 had a related patch set uploaded by KartikMistry:
Add AdorshoLipi font for Bangla

https://gerrit.wikimedia.org/r/88495
Comment 9 Runa Bhattacharjee 2013-10-10 04:32:16 UTC
Patch tested. Works well with Firefox and Chrome.
Comment 10 Runa Bhattacharjee 2013-10-10 04:39:07 UTC
Tanvir, Nasir, Jayanta,

Can you please confirm that there is a community consensus for this font to be made available for use? A link to a discussion or a discussion on this bug will be fine.

We are done with the testing (you are welcome to test some more) and can push it into the repo once we get a nod that the Bangla user community will not object to having another font. Thanks.

Runa
Comment 11 Shabab Mustafa 2013-10-10 08:53:15 UTC
Initiated a discussion at Bangla Wikimedia Village Pump. 
Link: http://is.gd/KMkk9A
Comment 12 Jayanta Nath 2013-10-13 08:09:53 UTC
Hi, Runa , Please wait minimum 15 days. one request from VP discussion, can we see the test page where patch tested?
Comment 13 Runa Bhattacharjee 2013-10-14 11:21:07 UTC
(In reply to comment #12)
> Hi, Runa , Please wait minimum 15 days. one request from VP discussion, can
> we
> see the test page where patch tested?

We don't really have any page to test it. The tests were done on local wikis using the ULS patchset mentioned in comment #8 i.e. https://gerrit.wikimedia.org/r/88495. 

I am adding a screenshot from the my tests.  Thanks.
Comment 14 Runa Bhattacharjee 2013-10-14 11:22:01 UTC
Created attachment 13482 [details]
screenshot of Adorsholipi font used with mediawiki
Comment 15 Nasir Khan Saikat 2013-10-14 18:34:01 UTC
Thanks for sharing the screenshot. 

Form the screenshot i found that the 'Search Box' and the 'Search Buttons' are not in correct position. Do you think it is happening for this font?
Comment 16 Runa Bhattacharjee 2013-10-15 07:32:37 UTC
(In reply to comment #15)
> Thanks for sharing the screenshot. 
> 
> Form the screenshot i found that the 'Search Box' and the 'Search Buttons'
> are
> not in correct position. Do you think it is happening for this font?

I could replicate this behaviour only on Firefox. Siyam Rupali on Firefox displays the widgets correctly (screenshot attached).

However, Adorsholipi on Chrome does not show the problem (screenshot attached).

Thanks.
Comment 17 Runa Bhattacharjee 2013-10-15 07:33:17 UTC
Created attachment 13486 [details]
Using Siyam Rupali on Firefox
Comment 18 Runa Bhattacharjee 2013-10-15 07:33:45 UTC
Created attachment 13487 [details]
Using Adorsholipi on Chrome
Comment 19 Siebrand Mazeland 2013-11-06 20:44:01 UTC
Status?
Comment 20 Runa Bhattacharjee 2013-11-11 05:36:54 UTC
Nasir, Jayanta,

Do you have any update from the discussions? It seems to have stopped: http://is.gd/KMkk9A

Thanks
Runa
Comment 21 Jayanta Nath 2013-11-11 08:07:32 UTC
(In reply to comment #18)
> Created attachment 13487 [details]
> Using Adorsholipi on Chrome

(In reply to comment #20)
> Nasir, Jayanta,
> 
> Do you have any update from the discussions? It seems to have stopped:
> http://is.gd/KMkk9A
> 
> Thanks
> Runa

Using Adorsholipi on Chrome "সম্প্রদায়ের প্রবেশদ্বার" not render properly. So we cant understand whether other "Juktakkhar" works or nor not, could you please provide any long article page?
Comment 22 Nasir Khan Saikat 2013-11-11 09:14:51 UTC
In the previous screenshots it shows that, this font breaks the style in the top right search box area. but i am not sure why the button styles were different for the font 'Siyam Rupali' and 'Adorsholipi'.

It would be better i can get full page screenshot.
Comment 23 Runa Bhattacharjee 2013-11-11 11:15:54 UTC
Created attachment 13759 [details]
Adorshilipi used on a long section of text on firefox

The rendering is not broken here but a part of the text is hanging out of the search box.
Comment 24 Runa Bhattacharjee 2013-11-11 11:17:50 UTC
Created attachment 13760 [details]
Adorshilipi used on a long section of text on chrome

Rendering is broken more than before on chrome. I would probably like to see this tested on other platforms (Linux & Windows) before blaming it on chrome.
Comment 25 Runa Bhattacharjee 2013-11-11 11:19:10 UTC
Nasir, Jayanta, If you have local wiki's that you can use for testing, I can guide you on how to set the font there. Let me know if that works. Thanks
Comment 26 Nasir Khan Saikat 2013-11-11 11:21:26 UTC
Hi Runa, 
I can test this on my local machine. Could you please let me know the steps to reproduce this. 

--
nasir
Comment 27 Runa Bhattacharjee 2013-11-11 11:41:41 UTC
(In reply to comment #26)

> I can test this on my local machine. Could you please let me know the steps
> to
> reproduce this. 

Sent over e-mail. Thanks.
Comment 28 Jayanta Nath 2013-11-12 08:39:59 UTC
PLease cc to me!
Comment 29 Runa Bhattacharjee 2013-11-29 04:41:20 UTC
Issue filed: https://github.com/shabab/AdorshoLipi-font/issues/1

Comparison can also be done here now: http://kartik.profarius.com/tests/webfonts.html
Comment 30 Siebrand Mazeland 2013-12-19 23:00:03 UTC
Hello. Is this on? Please let's get some progress here, or we need to move on.
Comment 31 Andre Klapper 2014-01-20 12:25:59 UTC
Shabab / Jayanta / Tanvir / Nasir:

The patch to add the AdorshoLipi font welcomes more testing from community as its glyphs (the way certain letters are displayed) might require more work.

To make it easier for you to test and compare the font, Runa said that she will try to make the link in http://kartik.profarius.com/tests/webfonts.html work again.

Is there anything else to help you and the Bangla community to provide feedback on the AdorshoLipi font, apart from making that comparison link work again?

Have / Could you ask the community on the local Village Pump / discussion page to please help testing the font and to add feedback in that thread on the discussion page? Afterwards, somebody could summarize (or translate the feedback to English if needed) and add it here in Bugzilla as a comment?

Thanks in advance for your help to get this font hopefully deployed soon to the entire community!
Comment 32 Andre Klapper 2014-02-26 15:48:04 UTC
Shabab / Jayanta / Tanvir / Nasir: Please answer comment 31.
Comment 33 Nasir Khan Saikat 2014-02-27 03:17:46 UTC
Hi Andre Klapper, Could you please add AdorshoLipi font again at http://kartik.profarius.com/tests/webfonts.html ?
Comment 34 Kartik Mistry 2014-02-27 08:15:16 UTC
@Nasir, http://kartik.profarius.com/tests/webfonts.html page is updated with AdorshoLipi now.
Comment 35 Nasir Khan Saikat 2014-08-07 12:53:26 UTC
The font designer is not responding the on the issue of font scaling (https://github.com/shabab/AdorshoLipi-font/issues/1). So it is better to discrete the patch and not merge with the ULS.
Comment 36 Gerrit Notification Bot 2014-08-07 13:31:42 UTC
Change 88495 abandoned by KartikMistry:
Add AdorshoLipi font for Bangla

Reason:
As discussed with users and See: https://github.com/shabab/AdorshoLipi-font/issues/1 Font can be readded when it is fixed upstream.

https://gerrit.wikimedia.org/r/88495
Comment 37 Kartik Mistry 2014-08-26 07:37:39 UTC
Set to assigned until bug(s) at upstream is fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links